Bug 559787 - duplicate Revision History headings
duplicate Revision History headings
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-28 19:23 EST by Murray McAllister
Modified: 2015-01-04 17:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-11 23:48:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2010-01-28 19:23:12 EST
Description of problem:
Creating a book or article in html and html-single results in duplicate "Revision History" headings.

Version-Release number of selected component (if applicable):
publican-1.4-0.el5

How reproducible:
Always.

Steps to Reproduce:
1. create a book or article
2. build with html and html-single
3.
  
Actual results:
Revision History /* large heading */
Revision History /* smaller heading */


Expected results:
Revision History

Additional info:
Comment 1 Jeff Fearn 2010-01-28 19:28:25 EST
I think "Revision History" is added automatically by the DocBook style sheets as it's translated in the DocBook style sheets. Try removing the title in your article and rebuilding.
Comment 2 Murray McAllister 2010-01-28 19:37:54 EST
Almost, but no dice (unless I did it wrong). I commented out <title> in Revision_History.xml:

Validation failed: 
Revision_History.xml:6: validity error : Element appendix content does not follow the DTD, expecting (beginpage? , appendixinfo? , (title , subtitle? , titleabbrev?) , (toc | lot | index | glossary | bibliography)* , tocchap? , (((calloutlist | glosslist | bibliolist | itemizedlist | orderedlist | segmentedlist | simplelist | variablelist | caution | important | note | tip | warning | literallayout | programlisting | programlistingco | screen | screenco | screenshot | synopsis | cmdsynopsis | funcsynopsis | classsynopsis | fieldsynopsis | constructorsynopsis | destructorsynopsis | methodsynopsis | formalpara | para | simpara | address | blockquote | graphic | graphicco | mediaobject | mediaobjectco | informalequation | informalexample | informalfigure | informaltable | equation | example | figure | table | msgset | procedure | sidebar | qandaset | task | anchor | bridgehead | remark | highlights | abstract | authorblurb | epigraph | indexterm | beginpage)+ , (sect1* | refentry* | simplesect* | section*)) | sect1+ | refentry+ | simplesect+ | section+) , (toc | lot | index | glossary | bibliography)*), got (simpara )

Cheers.
Comment 3 Jeff Fearn 2010-06-10 00:03:34 EDT
hid table header.

Fixed in build: 1.6.3-0.t101
Comment 4 Ruediger Landmann 2010-07-11 23:48:31 EDT
Confirmed fixed in 2.1

Note You need to log in before you can comment on or make changes to this bug.